RPM Community Forums

Mailing List Message of <popt-devel>

Re: POPT's API has designed in memory leaks. What to do?

From: Wayne Davison <wayned@samba.org>
Date: Mon 07 Jun 2010 - 18:20:59 CEST
Message-ID: <AANLkTimbJovfc_OCRKWL-CdyQ4HF6XhQLRlatl6A8W5P@mail.gmail.com>
On Mon, Jun 7, 2010 at 9:14 AM, Jeff Johnson <n3npq@mac.com> wrote:

> And without some deterministic way to tell whether its a POPT 1.x <-> 2.x
> table being fed to the POPT API/ABI, well, only a deliberately
> "incompatible" POPT 2.0 data structure with some deterministic
> version identifier is possible.
>

One way to deal with this is to change the library name to "popt2".  That
way, a popt (1.x) using program would never get run with a popt2 library.

..wayne..
Received on Mon Jun 7 18:21:16 2010
Driven by Jeff Johnson and the RPM project team.
Hosted by OpenPKG and Ralf S. Engelschall.
Powered by FreeBSD and OpenPKG.